import { IApiResponse, IApiResponseCollection, ICheckout, ICheckoutCompleteResponse } from '..';
export interface ICheckoutService {
    fetchCheckout(authToken: string, checkoutId: string): Promise<IApiResponse<ICheckout>>;
    fetchCheckouts(accountId: string, authToken: string, params: any): Promise<IApiResponseCollection<ICheckout[]>>;
    complete(authToken: string, checkoutId: string, payment: {
        payment_mode: string;
        payment_token?: string;
    }): Promise<IApiResponse<ICheckoutCompleteResponse>>;
}
export declare class CheckoutService implements ICheckoutService {
    fetchCheckout(authToken: string, checkoutId: string): Promise<IApiResponse<ICheckout>>;
    fetchCheckouts(accountId: string, authToken: string, params: any): Promise<IApiResponseCollection<ICheckout[]>>;
    complete(authToken: string, checkoutId: string, payment: {
        payment_mode: string;
        payment_token?: string;
    }): Promise<IApiResponse<ICheckoutCompleteResponse>>;
}
